singleton Material(stock_front_hubs)
{
mapTo = "stock_front_hubs";
colorMap[0] = "white.dds";
pixelSpecular[0] = "1";
diffuseColor[0] = "0.988235 0.996078 0.988235 0.396";
instanceDiffuse[0] = 1;
dynamicCubemap = true;
materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer)
{
    mapTo = "roamer";
    colorPaletteMap[2] = "vehicles/roamer/roamer_skin_twotone_uv1.dds";
    diffuseMap[2] = "vehicles/roamer/roamer_c.dds";
    specularMap[2] = "vehicles/roamer/roamer_s.dds";
    normalMap[2] = "vehicles/roamer/roamer_n.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_d.dds";
    specularMap[1] = "vehicles/roamer/roamer_s.dds";
    normalMap[1] = "vehicles/roamer/roamer_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/roamer/roamer_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass)
{
    mapTo = "roamer_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_glass_d.dds";
    opacityMap[0] = "vehicles/roamer/roamer_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_glass_da.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass_int)
{
    mapTo = "roamer_glass_int";
    diffuseMap[0] = "vehicles/roamer/roamer_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_glass_dmg)
{
    mapTo = "roamer_glass_dmg";
    diffuseMap[0] = "vehicles/roamer/roamer_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/roamer/roamer_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/roamer/roamer_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(roamer_windshield_dmg)
{
    mapTo = "roamer_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/roamer/roamer_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};